<?php
/**
 * Senior Care Charity Theme Customizer
 *
 * @package Senior Care Charity
 */

function senior_care_charity_customize_register( $wp_customize ) {

	load_template( trailingslashit( get_template_directory() ) . 'revolution/inc/fontawesome-change.php' );
	
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'senior_care_charity_customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'senior_care_charity_customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('senior_care_charity_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Charity Theme Options', 'senior-care-charity'),
	));

	/*
	* Customizer top header section
	*/

		$wp_customize->add_setting(
		'senior_care_charity_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_site_title_text',
		array(
			'label'       => __('Enable Title', 'senior-care-charity'),
			'description' => __('Enable or Disable Title from the site', 'senior-care-charity'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'senior_care_charity_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'senior-care-charity'),
			'description' => __('Enable or Disable Tagline from the site', 'senior-care-charity'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'senior_care_charity_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'senior-care-charity'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

		/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'senior-care-charity'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'senior_care_charity_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'senior-care-charity'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'senior_care_charity_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'senior-care-charity'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 12,
	             'step' => 1,
	         ),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'senior-care-charity'),
			'description' => __('Checked to show Related Product', 'senior-care-charity'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'senior-care-charity'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 20,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'senior-care-charity'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('senior_care_charity_archive_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'senior_care_charity_sanitize_choices'
	));
	$wp_customize->add_control('senior_care_charity_archive_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Archive Product Layout','senior-care-charity'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','senior-care-charity'),
            'layout-2' => esc_html__('Sidebar On Left','senior-care-charity'),
			'layout-3' => esc_html__('Full Width Layout','senior-care-charity')
        ),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('senior_care_charity_single_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'senior_care_charity_sanitize_choices'
	));
	$wp_customize->add_control('senior_care_charity_single_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Product Layout','senior-care-charity'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','senior-care-charity'),
            'layout-2' => esc_html__('Sidebar On Left','senior-care-charity'),
			'layout-3' => esc_html__('Full Width Layout','senior-care-charity')
        ),
	) );

	$wp_customize->add_setting('senior_care_charity_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => 'Right',
        'sanitize_callback' => 'senior_care_charity_sanitize_choices'
    ));
    $wp_customize->add_control('senior_care_charity_woocommerce_product_sale',array(
        'label'       => esc_html__( 'Woocommerce Product Sale Positions','senior-care-charity' ),
        'type' => 'select',
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'Right' => __('Right','senior-care-charity'),
            'Left' => __('Left','senior-care-charity'),
            'Center' => __('Center','senior-care-charity')
        ),
    ) );

	/*Additional Options*/
	$wp_customize->add_section('senior_care_charity_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'senior-care-charity'),
		'panel'       => 'senior_care_charity_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_sticky_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_sticky_header',
		array(
			'label'       => __('Enable Sticky Header', 'senior-care-charity'),
			'description' => __('Checked to enable sticky header', 'senior-care-charity'),
			'section'     => 'senior_care_charity_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'senior-care-charity'),
			'description' => __('Checked to show preloader', 'senior-care-charity'),
			'section'     => 'senior_care_charity_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'senior-care-charity'),
			'description' => __('Checked to show Breadcrumbs', 'senior-care-charity'),
			'section'     => 'senior_care_charity_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'senior-care-charity'),
			'description' => __('Checked to show Pagination', 'senior-care-charity'),
			'section'     => 'senior_care_charity_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Select Type Option*/
	$wp_customize->add_setting('senior_care_charity_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'senior_care_charity_sanitize_choices'
	));
	$wp_customize->add_control('senior_care_charity_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','senior-care-charity'),
        'section' => 'senior_care_charity_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','senior-care-charity'),
            'type-2' => esc_html__('Type 2','senior-care-charity'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('senior_care_charity_archive_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'senior_care_charity_sanitize_choices'
	));
	$wp_customize->add_control('senior_care_charity_archive_layout',array(
        'type' => 'select',
        'label' => esc_html__('Posts Layout','senior-care-charity'),
        'section' => 'senior_care_charity_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','senior-care-charity'),
            'layout-2' => esc_html__('Sidebar On Left','senior-care-charity'),
			'layout-3' => esc_html__('Full Width Layout','senior-care-charity')
        ),
	) );

	/*single post layout*/
	$wp_customize->add_setting('senior_care_charity_post_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'senior_care_charity_sanitize_choices'
	));
	$wp_customize->add_control('senior_care_charity_post_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Post Layout','senior-care-charity'),
        'section' => 'senior_care_charity_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','senior-care-charity'),
            'layout-2' => esc_html__('Sidebar On Left','senior-care-charity'),
			'layout-3' => esc_html__('Full Width Layout','senior-care-charity')
        ),
	) );

	/*single page layout*/
	$wp_customize->add_setting('senior_care_charity_page_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'senior_care_charity_sanitize_choices'
	));
	$wp_customize->add_control('senior_care_charity_page_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Page Layout','senior-care-charity'),
        'section' => 'senior_care_charity_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','senior-care-charity'),
            'layout-2' => esc_html__('Sidebar On Left','senior-care-charity'),
			'layout-3' => esc_html__('Full Width Layout','senior-care-charity')
        ),
	) );

	/*Archive Post Options*/
	$wp_customize->add_section('senior_care_charity_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'senior-care-charity'),
		'panel'       => 'senior_care_charity_panel',
	));

	$wp_customize->add_setting('senior_care_charity_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
	));
	$wp_customize->add_control('senior_care_charity_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'senior-care-charity'),
		'description' => __('Checked To Show Blog Post Title', 'senior-care-charity'),
		'section'     => 'senior_care_charity_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('senior_care_charity_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
	));
	$wp_customize->add_control('senior_care_charity_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'senior-care-charity'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'senior-care-charity'),
		'section'     => 'senior_care_charity_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('senior_care_charity_enable_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
	));
	$wp_customize->add_control('senior_care_charity_enable_blog_post_tags',array(
		'label'       => __('Enable Blog Post Tags', 'senior-care-charity'),
		'description' => __('Checked To Show Blog Post Tags', 'senior-care-charity'),
		'section'     => 'senior_care_charity_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('senior_care_charity_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
	));
	$wp_customize->add_control('senior_care_charity_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'senior-care-charity'),
		'description' => __('Checked To Show Blog Post Image', 'senior-care-charity'),
		'section'     => 'senior_care_charity_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('senior_care_charity_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
	));
	$wp_customize->add_control('senior_care_charity_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'senior-care-charity'),
		'description' => __('Checked To Show Blog Post Content', 'senior-care-charity'),
		'section'     => 'senior_care_charity_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('senior_care_charity_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
	));
	$wp_customize->add_control('senior_care_charity_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'senior-care-charity'),
		'description' => __('Checked To Show Blog Post Read More Button', 'senior-care-charity'),
		'section'     => 'senior_care_charity_blog_post_section',
		'type'        => 'checkbox',
	));

	/*Blog post Content layout*/
	$wp_customize->add_setting('senior_care_charity_blog_Post_content_layout',array(
        'default' => 'Left',
        'sanitize_callback' => 'senior_care_charity_sanitize_choices'
	));
	$wp_customize->add_control('senior_care_charity_blog_Post_content_layout',array(
        'type' => 'select',
        'label' => esc_html__('Blog Post Content Layout','senior-care-charity'),
        'section' => 'senior_care_charity_blog_post_section',
        'choices' => array(
            'Left' => esc_html__('Left','senior-care-charity'),
            'Center' => esc_html__('Center','senior-care-charity'),
            'Right' => esc_html__('Right','senior-care-charity')
        ),
	) );

	/*Excerpt*/
    $wp_customize->add_setting(
		'senior_care_charity_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'senior-care-charity'),
			'section'     => 'senior_care_charity_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 2,
	             'max' => 50,
	             'step' => 2,
	         ),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'senior_care_charity_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'senior-care-charity'),
			'section'     => 'senior_care_charity_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('senior_care_charity_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'senior-care-charity'),
		'panel'       => 'senior_care_charity_panel',
	));

	$wp_customize->add_setting('senior_care_charity_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
	));
	$wp_customize->add_control('senior_care_charity_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'senior-care-charity'),
		'description' => __('Checked To Show Single Blog Post Title', 'senior-care-charity'),
		'section'     => 'senior_care_charity_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('senior_care_charity_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
	));
	$wp_customize->add_control('senior_care_charity_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'senior-care-charity'),
		'description' => __('Checked To Show Single Blog Post Meta Feilds', 'senior-care-charity'),
		'section'     => 'senior_care_charity_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('senior_care_charity_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
	));
	$wp_customize->add_control('senior_care_charity_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'senior-care-charity'),
		'description' => __('Checked To Show Single Blog Post Tags', 'senior-care-charity'),
		'section'     => 'senior_care_charity_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('senior_care_charity_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
	));
	$wp_customize->add_control('senior_care_charity_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'senior-care-charity'),
		'description' => __('Checked To Show Single Post Image', 'senior-care-charity'),
		'section'     => 'senior_care_charity_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('senior_care_charity_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
	));
	$wp_customize->add_control('senior_care_charity_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'senior-care-charity'),
		'description' => __('Checked To Show Single Blog Post Content', 'senior-care-charity'),
		'section'     => 'senior_care_charity_single_post_section',
		'type'        => 'checkbox',
	));

	/*Related Post Enable Option*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'senior-care-charity'),
			'description' => __('Checked to show Related Post', 'senior-care-charity'),
			'section'     => 'senior_care_charity_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*Related post Edit Text*/
	$wp_customize->add_setting(
		'senior_care_charity_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'senior-care-charity'),
			'section'     => 'senior_care_charity_single_post_section',
			'type'        => 'text',
		)
	);	

	/*Related Post Per Page*/
	$wp_customize->add_setting(
		'senior_care_charity_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_related_post_count',
		array(
			'label'       => __('Related Post Count', 'senior-care-charity'),
			'section'     => 'senior_care_charity_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 9,
	             'step' => 1,
	         ),
		)
	);

	/* Comment Section Enable Option*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_comment_section',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_comment_section',
		array(
			'label'       => __('Enable Comment Section', 'senior-care-charity'),
			'description' => __('Checked to show Comment Section', 'senior-care-charity'),
			'section'     => 'senior_care_charity_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('senior_care_charity_global_color_section', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'senior-care-charity'),
		'panel'       => 'senior_care_charity_panel',
	));

	$wp_customize->add_setting( 'senior_care_charity_primary_color',
		array(
		'default'           => '#242864',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'senior_care_charity_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'senior-care-charity' ),
			'section'    => 'senior_care_charity_global_color_section',
			'settings'   => 'senior_care_charity_primary_color',
		) ) 
	);
	
	$wp_customize->add_setting( 'senior_care_charity_secondary_color',
		array(
		'default'           => '#ff4880',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'senior_care_charity_secondary_color',
		array(
			'label'      => esc_html__( 'Secondary Color', 'senior-care-charity' ),
			'section'    => 'senior_care_charity_global_color_section',
			'settings'   => 'senior_care_charity_secondary_color',
		) ) 
	);
	
	/*Typography Options*/
	$wp_customize->add_section( 'senior_care_charity_typography_section', array(
		'panel'       => 'senior_care_charity_panel',
        'title'    => __( 'Typography Options', 'senior-care-charity' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'senior_care_charity_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'senior_care_charity_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'senior_care_charity_font_family', array(
		'label'    => __( 'Global Font Family', 'senior-care-charity' ),
		'section'  => 'senior_care_charity_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'senior-care-charity' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
			// Add new fonts here
			'poppins'            => 'Poppins',
			'lato'               => 'Lato',
			'source_sans_pro'    => 'Source Sans Pro',
			'quicksand'          => 'Quicksand',
			'nunito'             => 'Nunito',
			'montserrat'         => 'Montserrat',
			'roboto_condensed'   => 'Roboto Condensed',
			'playfair_display_sc'=> 'Playfair Display SC',
			'alegreya'           => 'Alegreya',
			'fira_sans'          => 'Fira Sans',
		),
	) );

	/*Top Header Options*/
	$wp_customize->add_section('senior_care_charity_header_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Top Header Options', 'senior-care-charity'),
		'panel'       => 'senior_care_charity_panel',
	));

	/*Top header section enable*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_top_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_top_header',
		array(
			'label'       => __('Enable Top Header', 'senior-care-charity'),
			'description' => __('Checked to show the top header section.', 'senior-care-charity'),
			'section'     => 'senior_care_charity_header_section',
			'type'        => 'checkbox',
		)
	);

	/*Location*/
	$wp_customize->add_setting(
		'senior_care_charity_location_text_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Orlando, FL 32830, United States',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_location_text_option',
		array(
			'label'       => __('Edit Location Text', 'senior-care-charity'),
			'section'     => 'senior_care_charity_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('senior_care_charity_location_text_option_icon',array(
		'default'	=> 'fas fa-map-marker-alt',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Senior_Care_Charity_Icon_Changer(
        $wp_customize,'senior_care_charity_location_text_option_icon',array(
		'label'	=> __('Location Icon','senior-care-charity'),
		'transport' => 'refresh',
		'section'	=> 'senior_care_charity_header_section',
		'type'		=> 'icon'
	)));

	/*Phone Number*/
	$wp_customize->add_setting(
		'senior_care_charity_phone_text_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '+00-123-4356-7890',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_phone_text_option',
		array(
			'label'       => __('Edit Phone Number', 'senior-care-charity'),
			'section'     => 'senior_care_charity_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('senior_care_charity_phone_text_option_icon',array(
		'default'	=> 'fas fa-phone',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Senior_Care_Charity_Icon_Changer(
        $wp_customize,'senior_care_charity_phone_text_option_icon',array(
		'label'	=> __('Phone Icon','senior-care-charity'),
		'transport' => 'refresh',
		'section'	=> 'senior_care_charity_header_section',
		'type'		=> 'icon'
	)));

	/*Email*/
	$wp_customize->add_setting(
		'senior_care_charity_email_text_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'senior-charity@example.com',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_email_text_option',
		array(
			'label'       => __('Edit Email Address', 'senior-care-charity'),
			'section'     => 'senior_care_charity_header_section',
			'type'        => 'text',
		)
	);

	$wp_customize->add_setting('senior_care_charity_email_text_option_icon',array(
		'default'	=> 'fas fa-phone-volume',
		'sanitize_callback'	=> 'sanitize_text_field'
	));
	$wp_customize->add_control(new Senior_Care_Charity_Icon_Changer(
        $wp_customize,'senior_care_charity_email_text_option_icon',array(
		'label'	=> __('Email Icon','senior-care-charity'),
		'transport' => 'refresh',
		'section'	=> 'senior_care_charity_header_section',
		'type'		=> 'icon'
	)));

	/*Facebook Link*/
	$wp_customize->add_setting(
		'senior_care_charity_facebook_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_facebook_link_option',
		array(
			'label'       => __('Edit Facebook Link', 'senior-care-charity'),
			'section'     => 'senior_care_charity_header_section',
			'type'        => 'url',
		)
	);

	/*Twitter Link*/
	$wp_customize->add_setting(
		'senior_care_charity_twitter_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_twitter_link_option',
		array(
			'label'       => __('Edit Twitter Link', 'senior-care-charity'),
			'section'     => 'senior_care_charity_header_section',
			'type'        => 'url',
		)
	);

	/*Youtube Link*/
	$wp_customize->add_setting(
		'senior_care_charity_youtube_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_youtube_link_option',
		array(
			'label'       => __('Edit Youtube Link', 'senior-care-charity'),
			'section'     => 'senior_care_charity_header_section',
			'type'        => 'url',
		)
	);

	/*Instagram Link*/
	$wp_customize->add_setting(
		'senior_care_charity_instagram_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_instagram_link_option',
		array(
			'label'       => __('Edit Instagram Link', 'senior-care-charity'),
			'section'     => 'senior_care_charity_header_section',
			'type'        => 'url',
		)
	);

	/*Pintrest Link*/
	$wp_customize->add_setting(
		'senior_care_charity_pintrest_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_pintrest_link_option',
		array(
			'label'       => __('Edit Pintrest Link', 'senior-care-charity'),
			'section'     => 'senior_care_charity_header_section',
			'type'        => 'url',
		)
	);

	/*Donate Now Link*/
	$wp_customize->add_setting(
		'senior_care_charity_donate_link_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '#',
			'sanitize_callback' => 'esc_url_raw',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_donate_link_option',
		array(
			'label'       => __('Edit Donate Now Link', 'senior-care-charity'),
			'section'     => 'senior_care_charity_header_section',
			'type'        => 'url',
		)
	);

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('senior_care_charity_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Slider Options', 'senior-care-charity'),
		'panel'       => 'senior_care_charity_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_slider',
		array(
			'label'       => __('Enable Main Slider', 'senior-care-charity'),
			'description' => __('Checked to show the main slider', 'senior-care-charity'),
			'section'     => 'senior_care_charity_slider_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'senior_care_charity_slide_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_slide_number',
		array(
			'label'       => __('Number of slide to show', 'senior-care-charity'),
			'section'     => 'senior_care_charity_slider_section',
			'type'        => 'number',
			'input_attrs' => array(
				'min' => 1,     
				'max' => 3,   
			)
		)
	);

	$senior_care_charity_slide_count = (int)get_theme_mod('senior_care_charity_slide_number');

	for ($m=1; $m <= $senior_care_charity_slide_count; $m++) { 

		/*Main Slider Image*/
		$wp_customize->add_setting(
			'senior_care_charity_slider_image'.$m,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'senior_care_charity_slider_image'.$m, 
				array(
			        'label' => __('Edit Slider Image ', 'senior-care-charity') .$m,
			        'description' => __('Edit the slider image.', 'senior-care-charity'),
			        'section' => 'senior_care_charity_slider_section',
				)
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'senior_care_charity_slider_heading'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'senior_care_charity_slider_heading'.$m,
			array(
				'label'       => __('Edit Heading Text ', 'senior-care-charity') .$m,
				'description' => __('Edit the slider heading text.', 'senior-care-charity'),
				'section'     => 'senior_care_charity_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Content*/
		$wp_customize->add_setting(
			'senior_care_charity_slider_text'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'senior_care_charity_slider_text'.$m,
			array(
				'label'       => __('Edit Content Text ', 'senior-care-charity') .$m,
				'description' => __('Edit the slider content text.', 'senior-care-charity'),
				'section'     => 'senior_care_charity_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 Text*/
		$wp_customize->add_setting(
			'senior_care_charity_slider_button1_text'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'senior_care_charity_slider_button1_text'.$m,
			array(
				'label'       => __('Edit Button #1 Text ', 'senior-care-charity') .$m,
				'description' => __('Edit the slider button text.', 'senior-care-charity'),
				'section'     => 'senior_care_charity_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'senior_care_charity_slider_button1_link'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'senior_care_charity_slider_button1_link'.$m,
			array(
				'label'       => __('Edit Button #1 URL ', 'senior-care-charity') .$m,
				'description' => __('Edit the slider button url.', 'senior-care-charity'),
				'section'     => 'senior_care_charity_slider_section',
				'type'        => 'url',
			)
		);
	}

	/*
	* Customizer Event section
	*/
	/*Event Options*/
	$wp_customize->add_section('senior_care_charity_events_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Upcoming Events Option', 'senior-care-charity'),
		'panel'       => 'senior_care_charity_panel',
	));

	/*Event Enable Option*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_event',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_event',
		array(
			'label'       => __('Enable Event Section', 'senior-care-charity'),
			'description' => __('Checked to show the category', 'senior-care-charity'),
			'section'     => 'senior_care_charity_events_section',
			'type'        => 'checkbox',
		)
	);

	/*Event Heading*/
	$wp_customize->add_setting(
		'senior_care_charity_event_heading',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_event_heading',
		array(
			'label'       => __('Edit Section Heading', 'senior-care-charity'),
			'description' => __('Edit event section heading', 'senior-care-charity'),
			'section'     => 'senior_care_charity_events_section',
			'type'        => 'text',
		)
	);

	/*Event Text*/
	$wp_customize->add_setting(
		'senior_care_charity_event_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_event_text',
		array(
			'label'       => __('Edit Section Text', 'senior-care-charity'),
			'description' => __('Edit event section text', 'senior-care-charity'),
			'section'     => 'senior_care_charity_events_section',
			'type'        => 'text',
		)
	);

	for ($i=1; $i <= 4; $i++) { 

		/*Event Image*/
		$wp_customize->add_setting(
			'senior_care_charity_category_image'.$i,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'senior_care_charity_category_image'.$i, 
				array(
			        'label' => __('Edit Event Image ', 'senior-care-charity') .$i,
			        'description' => __('Edit the category image.', 'senior-care-charity'),
			        'section' => 'senior_care_charity_events_section',
				)
			)
		);

		/*Event Heading*/
		$wp_customize->add_setting(
			'senior_care_charity_category_heading'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'senior_care_charity_category_heading'.$i,
			array(
				'label'       => __('Edit Heading', 'senior-care-charity') .$i,
				'description' => __('Edit event heading text.', 'senior-care-charity'),
				'section'     => 'senior_care_charity_events_section',
				'type'        => 'text',
			)
		);

		/*Event Content*/
		$wp_customize->add_setting(
			'senior_care_charity_category_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'senior_care_charity_category_text'.$i,
			array(
				'label'       => __('Edit Content', 'senior-care-charity') .$i,
				'description' => __('Edit event content text.', 'senior-care-charity'),
				'section'     => 'senior_care_charity_events_section',
				'type'        => 'text',
			)
		);

		/*Event Date*/
		$wp_customize->add_setting(
			'senior_care_charity_event_date'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'senior_care_charity_event_date'.$i,
			array(
				'label'       => __('Edit Date', 'senior-care-charity') .$i,
				'description' => __('Edit event date and time.', 'senior-care-charity'),
				'section'     => 'senior_care_charity_events_section',
				'type'        => 'text',
			)
		);

		/*Event Address*/
		$wp_customize->add_setting(
			'senior_care_charity_event_address'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'senior_care_charity_event_address'.$i,
			array(
				'label'       => __('Edit Address', 'senior-care-charity') .$i,
				'description' => __('Edit event location.', 'senior-care-charity'),
				'section'     => 'senior_care_charity_events_section',
				'type'        => 'text',
			)
		);

		/*Event Button*/
		$wp_customize->add_setting(
			'senior_care_charity_category_button1_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'senior_care_charity_category_button1_text'.$i,
			array(
				'label'       => __('Edit Button Text', 'senior-care-charity') .$i,
				'description' => __('Edit event button text.', 'senior-care-charity'),
				'section'     => 'senior_care_charity_events_section',
				'type'        => 'text',
			)
		);

		/*Event Button Link*/
		$wp_customize->add_setting(
			'senior_care_charity_category_button1_link'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'senior_care_charity_category_button1_link'.$i,
			array(
				'label'       => __('Edit Button Link ', 'senior-care-charity') .$i,
				'description' => __('Edit event button link.', 'senior-care-charity'),
				'section'     => 'senior_care_charity_events_section',
				'type'        => 'url',
			)
		);
	}

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('senior_care_charity_footer_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'senior-care-charity'),
		'panel'       => 'senior_care_charity_panel',
	));

	/*Footer Enable Option*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_footer',
		array(
			'label'       => __('Enable Footer', 'senior-care-charity'),
			'description' => __('Checked to show Footer', 'senior-care-charity'),
			'section'     => 'senior_care_charity_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('senior_care_charity_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'senior_care_charity_footer_bg_image',array(
        'label' => __('Footer Background Image','senior-care-charity'),
        'section' => 'senior_care_charity_footer_section',
        'priority' => 1,
    )));

	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'senior_care_charity_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'senior-care-charity'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'senior-care-charity'),
			'section'     => 'senior_care_charity_footer_section',
			'type'        => 'checkbox',
		)
	);	

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'senior_care_charity_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'senior_care_charity_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'senior-care-charity'),
			'description' => __('Checked to enable Go To Top option.', 'senior-care-charity'),
			'section'     => 'senior_care_charity_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('senior_care_charity_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'senior_care_charity_sanitize_choices'
    ));
    $wp_customize->add_control('senior_care_charity_go_to_top_position',array(
        'type' => 'select',
        'section' => 'senior_care_charity_footer_section',
        'label' => esc_html__('Go To Top Positions','senior-care-charity'),
        'choices' => array(
            'Right' => __('Right','senior-care-charity'),
            'Left' => __('Left','senior-care-charity'),
            'Center' => __('Center','senior-care-charity')
        ),
    ) );

	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'senior_care_charity_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'senior_care_charity_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'senior-care-charity'),
			'description' => __('Edit the Footer Copyright Section.', 'senior-care-charity'),
			'section'     => 'senior_care_charity_footer_section',
			'type'        => 'text',
		)
	);
}
add_action( 'customize_register', 'senior_care_charity_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function senior_care_charity_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function senior_care_charity_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function senior_care_charity_customize_preview_js() {
	wp_enqueue_script( 'senior-care-charity-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), SENIOR_CARE_CHARITY_VERSION, true );
}
add_action( 'customize_preview_init', 'senior_care_charity_customize_preview_js' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Senior_Care_Charity_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $senior_care_charity_instance = null;

		if ( is_null( $senior_care_charity_instance ) ) {
			$senior_care_charity_instance = new self;
			$senior_care_charity_instance->setup_actions();
		}

		return $senior_care_charity_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $senior_care_charity_manager
	 * @return void
	*/
	public function sections( $senior_care_charity_manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$senior_care_charity_manager->register_section_type( 'Senior_Care_Charity_Customize_Section_Pro' );

		// Register sections.
		$senior_care_charity_manager->add_section( new Senior_Care_Charity_Customize_Section_Pro( $senior_care_charity_manager,'senior_care_charity_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Charity Theme', 'senior-care-charity' ),
			'pro_text' => esc_html__( 'Buy Pro', 'senior-care-charity' ),
			'pro_url'    => esc_url( SENIOR_CARE_CHARITY_BUY_NOW ),
		) )	);

		// Register sections.
		$senior_care_charity_manager->add_section( new Senior_Care_Charity_Customize_Section_Pro( $senior_care_charity_manager,'senior_care_charity_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'senior-care-charity' ),
			'pro_text' => esc_html__( 'Instruction', 'senior-care-charity' ),
			'pro_url'    => esc_url( SENIOR_CARE_CHARITY_LITE_DOC ),
		) )	);

		$senior_care_charity_manager->add_section( new Senior_Care_Charity_Customize_Section_Pro( $senior_care_charity_manager, 'senior_care_charity_live_demo', array(
			'priority'   => 1,
			'title'      => esc_html__( 'Pro Theme Demo', 'senior-care-charity' ),
			'pro_text'   => esc_html__( 'Live Preview', 'senior-care-charity' ),
			'pro_url'    => esc_url( SENIOR_CARE_CHARITY_LIVE_DEMO ),
		) ) );

		// Register sections.
		$senior_care_charity_manager->add_section( new Senior_Care_Charity_Customize_Section_Pro( $senior_care_charity_manager, 'senior_care_charity_bundle', array(
			'priority'   => 1,
			'title'      => esc_html__( 'Theme Bundle', 'senior-care-charity' ),
			'pro_text'   => esc_html__( 'Get Bundle', 'senior-care-charity' ),
			'pro_url'    => esc_url( SENIOR_CARE_CHARITY_BUNDLE ),
		) ) );			
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'senior-care-charity-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'senior-care-charity-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Senior_Care_Charity_Customize::get_instance();